MagickMind
  1. End-Users
  • Documentation
    • Get started
      • Introduction
      • Quick Start
      • First API Call
    • Core Concepts
      • Projects
      • Corpus
      • Mindspaces
      • End-Users
      • Websocket
    • Authentication
      • Overview
      • OAuth Flow
      • API Keys
    • Guides
      • Creating a Corpus
      • Managing End-Users
    • SDK
      • Python
      • Go
  • API Reference
    • v1
      • Auth
        • Login
        • Refresh Token
      • End-Users
        • Create End-User
          POST
        • Get End-User by ID
          GET
        • Update End-User
          PUT
        • Query End-Users
          GET
        • Delete End-User
          DELETE
      • Project
        • Create Project
        • Get Project by ID
        • Get Project List
        • Update Project
        • Delete Project
      • Mindspaces
        • Create Mindspace
        • Update Mindspace
        • Get Mindspace by ID
        • Get Mindspace List
        • Delete Mindspace
        • Get Mindspace Messages
        • Delete Mindspace
        • Add Mindspace Users by ID
      • Chat
        • Magick Mind Chat
      • Realtime
        • Websocket Subscribe
      • Runtime
        • Get Effective Personality
        • Invalidate Cache
  1. End-Users

Get End-User by ID

Developing
Prod Env
https://api.magickmind.ai
Prod Env
https://api.magickmind.ai
GET
/v1/end-users/{id}

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.magickmind.ai/v1/end-users/6979e85f6c264301cea8ee2e' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "id": "6979e85f6c264301cea8ee2e",
    "name": "Roy Bosco",
    "external_id": "",
    "tenant_id": "692406db9b2e89397665b156",
    "created_by": "692406db9b2e89397665b156",
    "updated_by": "692406db9b2e89397665b156",
    "created_at": "2026-01-28T10:43:43Z",
    "updated_at": "2026-01-28T10:43:43Z"
}
Previous
Create End-User
Next
Update End-User
Built with